QGIS Application - Bug report #19240
Can't open PostGIS database in DBManager, QVariant error
2018-06-22 03:47 AM - Etienne Trimaille

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.1(master) Regression?: Yes
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27068
Description

While I'm trying to connect to my PG database in the DB Manager:
An error has occurred while executing Python code:

TypeError: unable to convert a QVariant of type 10 to a QMetaType of type 2
Traceback (most recent call last):
File "/home/etienne/dev/qgis/build/master/output/python/plugins/db_manager/db_model.py", line 441, in rowCount
self._refreshindex(parent, True)
File "/home/etienne/dev/qgis/build/master/output/python/plugins/db_manager/db_model.py", line 490, in _refreshindex
if item.populate():
File "/home/etienne/dev/qgis/build/master/output/python/plugins/db_manager/db_model.py", line 167, in populate
if not connection.connect():
File "/home/etienne/dev/qgis/build/master/output/python/plugins/db_manager/db_plugins/postgis/plugin.py”, line 88, in connect
sslmode = settings.value("ssimode", QgsDataSourceUri.SsIPrefer, type=int)
TypeError: unable to convert a QVariant of type 10 to a QMetaType of type 2

| couldn't expand it in the tree view (see tables, execute queries etc...)
| got this error on 2 computers with 2 different databases so it might happen to someone else.

| fixed it by going into QGIS Settings, Advanced, and then "PostgreSQL/connections/my_connection/ssimode” = 1, it was previously a
string like "SsIDisable". I'm not sure how | got a string instead of integer. Now | can open again the DB Manager.

Associated revisions

Revision 12efb866 - 2018-06-22 05:37 AM - Nyall Dawson

[dbmanager] Fix error when connecting to postgis db

Fixes #19240

History

#1 - 2018-06-22 05:37 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|12efb8669e94ebal342a9cdeb9fb0321ebfb88438.

2024-04-25 12




2024-04-25 22



